Package fr.gouv.vitam.logbook.common.model

# Class TraceabilityEvent

java.lang.Object
fr.gouv.vitam.logbook.common.model.TraceabilityEvent

public class TraceabilityEvent extends Object
Class used to save traceability event to be store in logbook collection

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceabilityEvent()`
  Empty constructor for Jackson
  `TraceabilityEvent(TraceabilityType logType, String startDate, String endDate, String hash, byte[] timeStampToken, String previousLogbookTraceabilityDate, String minusOneMonthLogbookTraceabilityDate, String minusOneYearLogbookTraceabilityDate, long numberOfElements, String fileName, long size, DigestType digestAlgorithm, boolean maxEntriesReached, String securisationVersion, TraceabilityStatistics statistics)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DigestType`
  `getDigestAlgorithm()`
  `String`
  `getEndDate()`
  `String`
  `getFileName()`
  `String`
  `getHash()`
  `TraceabilityType`
  `getLogType()`
  `boolean`
  `getMaxEntriesReached()`
  `String`
  `getMinusOneMonthLogbookTraceabilityDate()`
  `String`
  `getMinusOneYearLogbookTraceabilityDate()`
  `long`
  `getNumberOfElements()`
  getter of numberOfElements
  `String`
  `getPreviousLogbookTraceabilityDate()`
  `String`
  `getSecurisationVersion()`
  getter for securisationVersion
  `long`
  `getSize()`
  `String`
  `getStartDate()`
  `TraceabilityStatistics`
  `getStatistics()`
  `byte[]`
  `getTimeStampToken()`
  `boolean`
  `isMaxEntriesReached()`
  `void`
  `setTimeStampToken(byte[] timeStampToken)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TraceabilityEvent

    public TraceabilityEvent()
    Empty constructor for Jackson

  - ### TraceabilityEvent

    public TraceabilityEvent(TraceabilityType logType, String startDate, String endDate, String hash, byte[] timeStampToken, String previousLogbookTraceabilityDate, String minusOneMonthLogbookTraceabilityDate, String minusOneYearLogbookTraceabilityDate, long numberOfElements, String fileName, long size, DigestType digestAlgorithm, boolean maxEntriesReached, String securisationVersion, TraceabilityStatistics statistics)
    Constructor
    Parameters:
      `logType` - logType
      `startDate` - startDate
      `endDate` - endDate
      `hash` - hash
      `timeStampToken` - timeStampToken
      `previousLogbookTraceabilityDate` - previousLogbookTraceabilityDate
      `minusOneMonthLogbookTraceabilityDate` - minusOneMonthLogbookTraceabilityDate
      `minusOneYearLogbookTraceabilityDate` - minusOneYearLogbookTraceabilityDate
      `numberOfElements` - numberOfElements
      `fileName` - fileName
      `size` - size
      `digestAlgorithm` - digestAlgorithm
      `statistics` -

- ## Method Details

  - ### getStartDate

    public String getStartDate()
    Returns:
      startDate

  - ### getEndDate

    public String getEndDate()
    Returns:
      endDate

  - ### getHash

    public String getHash()
    Returns:
      hash

  - ### getNumberOfElements

    public long getNumberOfElements()
    getter of numberOfElements
    Returns:
      numberOfElements

  - ### getFileName

    public String getFileName()
    Returns:
      file name

  - ### getTimeStampToken

    public byte[] getTimeStampToken()
    Returns:
      timestamp token

  - ### setTimeStampToken

    public void setTimeStampToken(byte[] timeStampToken)

  - ### getLogType

    public TraceabilityType getLogType()
    Returns:
      log type

  - ### getMinusOneMonthLogbookTraceabilityDate

    public String getMinusOneMonthLogbookTraceabilityDate()
    Returns:
      Date of the one month previous traceability logbook

  - ### getMinusOneYearLogbookTraceabilityDate

    public String getMinusOneYearLogbookTraceabilityDate()
    Returns:
      Date of the one year previous traceability logbook

  - ### getPreviousLogbookTraceabilityDate

    public String getPreviousLogbookTraceabilityDate()
    Returns:
      Date of the previous traceability logbook

  - ### getSize

    public long getSize()
    Returns:
      Size of the entry

  - ### getDigestAlgorithm

    public DigestType getDigestAlgorithm()
    Returns:
      Size of the entry

  - ### getMaxEntriesReached

    public boolean getMaxEntriesReached()
    Returns:
      true if max entries has been reached (unit & object group lifecycle traceability operation are limited in size)

  - ### getSecurisationVersion

    public String getSecurisationVersion()
    getter for securisationVersion

  - ### isMaxEntriesReached

    public boolean isMaxEntriesReached()

  - ### getStatistics

    public TraceabilityStatistics getStatistics()